/**
 * 通用工具类
 * @constructor
 */
function CommonUtil() {

    /**
     * 获取html文本
     * @param content
     * @return {string|*}
     */
    this.getHtmlText = function (content) {
        if (!content) {
            return ''
        }
        var str = content;
        str = str.replace(/<xml>[\s\S]*?<\/xml>/ig, '');
        str = str.replace('/class=(")?Mso[a-zA-Z]+(")?)/g', '');
        str = str.replace(/\n|\r/ig, '')
        var reg = new RegExp('<!--(.*?)-->', 'g')
        str = str.replace(/<style>[\s\S]*?<\/style>/ig, '')
        str = str.replace(/<\/?[^>]*>/g, '')
        str = str.replace(/[ | ]*\n/g, '')
        str = str.replace(/&nbsp;/ig, '')
        str = str.replace(reg, '')
        return str;
    }

}