package ink.wgink.database.pojo.vos.sql;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: SqlVO
 * @Description: SqlVO
 * @Author: wanggeng
 * @Date: 2021/10/27 6:15 下午
 * @Version: 1.0
 */
@ApiModel
public class SqlVO {

    @ApiModelProperty(name = "sql", value = "sql语句", required = true)
    @CheckEmptyAnnotation(name = "sql")
    private String sql;

    public String getSql() {
        return sql == null ? "" : sql.trim();
    }

    public void setSql(String sql) {
        this.sql = sql;
    }
}
