package ink.wgink.common.controller.route.access;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ConfigRouteController
 * @Description: 配置
 * @Author: WangGeng
 * @Date: 2021/2/25 21:44
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "白名单路由")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/access/white-list")
public class WhiteListRouteController {

    @GetMapping("update")
    public ModelAndView update() {
        ModelAndView mv = new ModelAndView("access/white-list/update");
        return mv;
    }

}
