package ink.wgink.common.controller.route.env;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: EnvController
 * @Description: 环境变量
 * @Author: wanggeng
 * @Date: 2022/5/16 10:50
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "环境变量")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/env")
public class EnvRouteController extends DefaultBaseController {

    @GetMapping("update")
    public ModelAndView update() {
        ModelAndView modelAndView = new ModelAndView("env/update");
        return modelAndView;
    }

}
