package ink.wgink.module.file.controller.route.filedownload;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: FileDownloadRouteController
 * @Description: 文件下载
 * @Author: wanggeng
 * @Date: 2022/8/2 16:34
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "文件下载")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/file-download")
public class FileDownloadRouteController {

    @GetMapping("list")
    public ModelAndView list() {
        ModelAndView modelAndView = new ModelAndView("file-download/list");
        return modelAndView;
    }

}
